# OpenLayers.Layer.Image

Instances of OpenLayers.Layer.Image are used to display data from a web accessible image as a map layer. Create a new image layer with the OpenLayers.Layer.Image constructor. Inherits from OpenLayers.Layer.

Summary

OpenLayers.Layer.Image | Instances of OpenLayers.Layer.Image are used to display data from a web accessible image as a map layer.
Constructor |
OpenLayers.Layer.Image | Create a new image layer
Functions |
setMap |
setUrl |
getURL | The url we return is always the same (the image itself never changes) so we can ignore the bounds parameter (it will always be the same, anyways)

### Constructor

### OpenLayers.Layer.Image

Create a new image layer

#### Parameters

name | {String} A name for the layer.
url | {String} Relative or absolute path to the image
extent | {OpenLayers.Bounds} The extent represented by the image
size | {OpenLayers.Size} The size (in pixels) of the image
options | {Object} Hashtable of extra options to tag onto the layer

### Functions

### setMap

> setMap: function( | map | )

#### Parameters

map | {OpenLayers.Map}

### setUrl

> setUrl: function( | newUrl | )

#### Parameters

newUrl | {String}

### getURL

> getURL: function( | bounds | )

The url we return is always the same (the image itself never changes) so we can ignore the bounds parameter (it will always be the same, anyways)

#### Parameters

bounds | {OpenLayers.Bounds}

> setMap: function( | map | )

> setUrl: function( | newUrl | )

> getURL: function( | bounds | )

The url we return is always the same (the image itself never changes) so we can ignore the bounds parameter (it will always be the same, anyways)
Create a new image layer
Instances of this class represent bounding boxes.
Instances of this class represent a width/height pair
Instances of OpenLayers.Map are interactive maps embedded in a web page.
Close